services:
  rabbit:
    hostname: "rabbitmq"
    ports:
      - "15672:15672"
    restart: always
    image: rabbitmq:4.0.2-management

  mysql:
    image: mysql:lts
    restart: always
    hostname: mysql
    environment:
      MYSQL_ROOT_PASSWORD: 'password'
    ports:
      - 3306

  storescp:
    hostname: "storescp"
    image: storescp
    restart: always
    depends_on:
      - rabbit
    environment:
      - LOG_LEVEL=10
    ports:
      - "10000:10000"
    build:
      context: "."
      dockerfile: "Dockerfile"
      args:
        SERVICE_NAME: storescp

  fingerprinter:
    hostname: "fingerprinter"
    restart: always
    build:
      context: "."
      dockerfile: "Dockerfile"
      args:
        SERVICE_NAME: fingerprinter
    image: fingerprinter

  scheduler:
    hostname: "scheduler"
    restart: always
    build:
      context: "."
      dockerfile: "Dockerfile"
      args:
        SERVICE_NAME: scheduler
    image: scheduler
    environment:
      - LOG_LEVEL=10

  consumer:
    hostname: "consumer"
    restart: always
    build:
      context: "."
      dockerfile: "Dockerfile"
      args:
        SERVICE_NAME: consumer
    image: consumer
    environment:
      - LOG_LEVEL=10
    volumes:
      - /var/run/docker.sock:/var/run/docker.sock

  storescu:
    hostname: "storescu"
    build:
      context: "."
      dockerfile: "Dockerfile"
      args:
        SERVICE_NAME: storescu
    image: storescu

  file_storage:
    hostname: "file-storage"
    build:
      context: "."
      dockerfile: "Dockerfile"
      args:
        SERVICE_NAME: file_storage
    image: file_storage
